// Copyright (c) 2024, Oracle and/or its affiliates. All rights reserved.
// Licensed under the Universal Permissive License v 1.0 as shown at https://oss.oracle.com/licenses/upl.

# generated key pair
resource "tls_private_key" "setup_key_pair" {
  algorithm = "RSA"
}

resource "local_file" "private_key" {
  content         = tls_private_key.setup_key_pair.private_key_openssh
  filename        = "${path.module}/key_rsa"
  file_permission = "0400"
}

resource "local_file" "public_key" {
  content         = tls_private_key.setup_key_pair.private_key_openssh
  filename        = "${path.module}/key_rsa.pub"
  file_permission = "0400"
}