// Copyright (c) 2024, Oracle and/or its affiliates. All rights reserved.
// Licensed under the Universal Permissive License v 1.0 as shown at https://oss.oracle.com/licenses/upl.

resource "oci_artifacts_container_repository" "repos" {
  for_each       = toset(local.repo_names)
  compartment_id = var.compartment_ocid
  display_name   = each.value
}
